---
title: "Event Search"
source: /gcxone/api/event-search
locale: en
updated: 2026-09-04
---
Operations on event search resources. 1 endpoint, each relative to `https://api.nxgen.cloud/api/v1` and authenticated as described under [Authentication](/gcxone/api/authentication).

## GET /mediastore

get event by filter

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| fromDate | path | number | yes | Epoch time in milliseconds |
| toDate | path | number | yes | Epoch time in milliseconds |
| tags | path | string | yes |  |
| nPerPage | path | number | yes | Number of items per page |
| pageNumber | path | number | yes | Page number |
| hierarchyLevel | path | "serviceprovider" \| "customer" \| "site" \| "device" \| "sensor" | yes |  |
| alarmType | path | string | yes |  |
| realAlarmMotions | path | string | yes |  |
| feedbackFilter | path | string | yes |  |
| isThumbsUp | path | string | yes |  |
| commentSearch | path | string | yes |  |
| eventVerified | path | boolean | yes |  |
| fullPayload | path | boolean | yes |  |
| showTechnicalEvents | path | boolean | yes |  |

### Responses

| Status | Description | Body |
| --- | --- | --- |
| 200 | Success |  |
| 204 | No Content |  |
| 401 | Unauthorized |  |
| 403 | Forbidden |  |
| 404 | Not Found |  |